Skip to main content
GET
/
TournamentTeamList
Tournament Team List
curl --request GET \
  --url 'https://api.example.com/TournamentTeamList?key='
{
  "result": "string",
  "message": "string",
  "data": {
    "_type": "TOURNAMENT",
    "id": "integer",
    "tournament": "string",
    "season": "string",
    "startDate": "YYYY-MM-DD",
    "endDate": "YYYY-MM-DD",

    "teams": [
      {
        "_type": "TEAM",
        "id": "integer",
        "team": "string",

        "stadium": {
          "_type": "STADIUM",
          "id": "integer",
          "name": "string"
        }
      }
    ]
  }
}

Overview

This endpoint returns the teams registered in a given tournament, including their home stadium information.

Typical use cases

  • Retrieve the list of teams participating in a tournament
  • Build team selectors in applications
  • Display tournament participants and their stadiums
GET /api.php?module=api&api=TournamentTeamList&version=V2&lang=en&response=json&key=[API_KEY]&tournament_id=[TOURNAMENT_ID]

Parameters

module
string
Always use api
api
string
The API name, use TournamentTeamList
version
string
The API version (use V2)
lang
string
en for English, ar for Arabic
response
string
Output format (json or xml)
key
string
Your API key
tournament_id
string
The tournament ID (example: 444)

Example Request

curl --request GET \
  --url "{{Base URL}}?module=api&api=TournamentTeamList&version=V2&lang=en&response=json&key=YOUR_API_KEY&tournament_id=444"

Response

{
  "result": "string",
  "message": "string",
  "data": {
    "_type": "TOURNAMENT",
    "id": "integer",
    "tournament": "string",
    "season": "string",
    "startDate": "YYYY-MM-DD",
    "endDate": "YYYY-MM-DD",

    "teams": [
      {
        "_type": "TEAM",
        "id": "integer",
        "team": "string",

        "stadium": {
          "_type": "STADIUM",
          "id": "integer",
          "name": "string"
        }
      }
    ]
  }
}

Authorizations

key
string
query
required

API key passed as a query parameter named key.

Query Parameters

module
string
default:api

Module API fixed and cannot be changed

version
string
default:V2

The API version

response
string
default:json

The response returned by the API. The value of this field could be "json" or "xml"

lang
string
default:en

The language is english by default, pass "ar" to return the values in Arabic language.

tournament_id
integer
required

The tournament ID can be retrieve from the TournamentList API.

Response

Successful response

The response is of type object.